0.4 Dependencies

Help test release candidates for the next release
Post Reply
User avatar
sinewav
Graphic Artist
Posts: 6334
Joined: Wed Jan 23, 2008 3:37 am
Contact:

0.4 Dependencies

Post by sinewav »

Are the dependencies listed on the wiki current for all releases? If not, can we update this information or post it here so I can update it? There are different packages needed for certain versions, correct? Different ones for development?

Going to build from source soon.

User avatar
compguygene
Adjust Outside Corner Grinder
Posts: 2337
Joined: Thu Aug 21, 2008 12:09 pm
Location: Cleveland, Ohio
Contact:

Re: 0.4 Dependencies

Post by compguygene »

In the latest .4 source on Launchpad, Z-man has merged SDL2. For that you need the following packages.

Code: Select all

libsdl2-dev libsdl2-image-dev libsdl2-mixer-dev libsdl2-ttf-dev
Everything else listed on the wiki is what I have been using to build from source.
Armagetron: It's a video game that people should just play and enjoy :)
https://bit.ly/2KBGYjvCheck out the simple site about TheServerPharm

User avatar
Z-Man
God & Project Admin
Posts: 11426
Joined: Sun Jan 23, 2005 6:01 pm
Location: Cologne
Contact:

Re: 0.4 Dependencies

Post by Z-Man »

Updated them to what was on http://wiki.armagetronad.org/index.php? ... X.29Ubuntu which I had previously updated to the sdl2 change.

User avatar
sinewav
Graphic Artist
Posts: 6334
Joined: Wed Jan 23, 2008 3:37 am
Contact:

Re: 0.4 Dependencies

Post by sinewav »

You f**king rock, man.

Post Reply